Skip to main content
GET
/
teams
/
{team_id}
/
project-access
List project access for a team
curl --request GET \
  --url {schemes}://api.upsun.com/teams/{team_id}/project-access \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "team_id": "<string>",
      "organization_id": "<string>",
      "project_id": "<string>",
      "project_title": "<string>",
      "granted_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "_links": {
        "self": {
          "href": "<string>"
        },
        "update": {
          "href": "<string>",
          "method": "<string>"
        },
        "delete": {
          "href": "<string>",
          "method": "<string>"
        }
      }
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

team_id
string
required

The ID of the team.

Query Parameters

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 200
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
string

Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: project_title, granted_at, updated_at.

Example:

"-updated_at"

Response

OK

items
object[]